cURL
curl --request POST \
--url https://api.mudstack.com/workspaces/libraries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--header 'x-account-id: <x-account-id>' \
--header 'x-workspace-id: <x-workspace-id>' \
--form 'name=New Library' \
--form 'description=<string>' \
--form file='@example-file'import requests
url = "https://api.mudstack.com/workspaces/libraries"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = {
"name": "New Library",
"description": "<string>"
}
headers = {
"x-account-id": "<x-account-id>",
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('name', 'New Library');
form.append('description', '<string>');
form.append('file', '<string>');
const options = {
method: 'POST',
headers: {
'x-account-id': '<x-account-id>',
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>'
}
};
options.body = form;
fetch('https://api.mudstack.com/workspaces/libraries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"name": "<string>",
"description": "<string>",
"thumbnail_file_id": "<string>",
"defaultAvatar": 123,
"created_by_user_id": "<string>",
"sequence": 123
}Libraries
Create library
Create a new library in the current workspace.
POST
/
workspaces
/
libraries
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
The created library
Unique identifier for the library.
Identifier for the workspace to which the library belongs.
Name of the library.
Description of the library.
Identifier for the thumbnail file associated with the library.
Default avatar for the library.
Identifier for the user who created the library.
Sequence number for ordering libraries.
Was this page helpful?
⌘I